> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yorlet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all deposits

> A list of deposits. The deposits are returned sorted by creation date, with the most recent deposits appearing first.



## OpenAPI

````yaml openapi-leasing.json GET /v1/deposits
openapi: 3.1.0
info:
  title: Yorlet Leasing API
  description: >-
    APIs for managing applications, deposits, guarantors, references, and
    tenancies.
  version: 1.0.0
servers:
  - url: https://api.yorlet.com
    description: Production
  - url: https://api.yorlet.io
    description: Sandbox
security: []
paths:
  /v1/deposits:
    get:
      tags:
        - Deposits
      summary: List all deposits
      description: >-
        A list of deposits. The deposits are returned sorted by creation date,
        with the most recent deposits appearing first.
      operationId: deposits_list
      responses:
        '200':
          description: A object with a data property that contains an array of deposits.
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: number
                    description: Total number of items in the list.
                    example: 1
                  has_more:
                    type: boolean
                    description: Whether more items are available.
                    example: false
                  object:
                    type: string
                    enum:
                      - list
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Unique identifier for the object.
                        created:
                          type: number
                          description: >-
                            Time at which the object was created. Measured in
                            seconds since the Unix epoch.
                        account:
                          type: string
                          description: >-
                            The account that the object belongs to. Only
                            returned if the request is made with a valid
                            Yorlet-Context header.
                        deleted:
                          type: boolean
                          default: false
                          description: Only returned if the object has been deleted.
                        object:
                          type: string
                          enum:
                            - deposit
                        amount:
                          type: number
                          description: >-
                            The amount of the deposit, in the smallest currency
                            unit.
                        amount_refunded:
                          type: number
                          default: 0
                          description: >-
                            The amount of the deposit, in the smallest currency
                            unit, that has been refunded to the customer.
                        application:
                          anyOf:
                            - type: string
                            - type: object
                              additionalProperties: {}
                          description: The application the deposit is associated with.
                        assignee:
                          type:
                            - string
                            - 'null'
                          description: The ID of the user the deposit is assigned to.
                        certificate:
                          type:
                            - string
                            - 'null'
                          description: The certificate identifier for the deposit.
                        country:
                          type:
                            - string
                            - 'null'
                          description: >-
                            The ISO 3166-1 alpha-2 country code where the
                            deposit is held.
                        currency:
                          type: string
                          description: The three-letter ISO currency code of the deposit.
                        customer:
                          anyOf:
                            - type: string
                            - type: object
                              additionalProperties: {}
                            - type: 'null'
                          description: The customer the deposit is associated with.
                        description:
                          type:
                            - string
                            - 'null'
                          description: An arbitrary description attached to the deposit.
                        handled_externally:
                          type: boolean
                          default: false
                          description: >-
                            Whether the deposit is handled externally (e.g. by
                            the landlord or a third party).
                        metadata:
                          type:
                            - object
                            - 'null'
                          additionalProperties:
                            type: string
                          description: >-
                            Set of key-value pairs that you can attach to an
                            object. This can be useful for storing additional
                            information about the object in a structured format.
                        requirements:
                          type:
                            - object
                            - 'null'
                          properties:
                            additional:
                              type: array
                              items:
                                type: string
                              description: >-
                                Additional requirements that may be required to
                                complete the deposit.
                            currently_due:
                              type: array
                              items:
                                type: string
                              description: >-
                                Requirements that are currently due to complete
                                the deposit.
                            minimum:
                              type: array
                              items:
                                type: string
                              description: >-
                                Minimum requirements that must be satisfied for
                                the deposit.
                          required:
                            - additional
                            - currently_due
                            - minimum
                          description: Requirements outstanding to complete the deposit.
                        returned:
                          type: boolean
                          default: false
                          description: >-
                            Whether the deposit has been returned to the
                            customer.
                        returned_at:
                          type:
                            - number
                            - 'null'
                          description: >-
                            The time at which the deposit was returned to the
                            customer.
                        scheme:
                          type:
                            - object
                            - 'null'
                          properties:
                            certificate:
                              type:
                                - string
                                - 'null'
                              description: >-
                                The certificate identifier for the deposit
                                scheme.
                            provider:
                              type:
                                - string
                                - 'null'
                              enum:
                                - dps
                                - mydeposits
                                - tds
                                - null
                              description: The provider of the deposit scheme.
                            registration_deadline:
                              type:
                                - number
                                - 'null'
                              description: >-
                                The deadline by which the deposit must be
                                registered with the scheme.
                            registration_number:
                              type:
                                - string
                                - 'null'
                              description: >-
                                The registration number assigned by the deposit
                                scheme.
                            type:
                              type:
                                - string
                                - 'null'
                              enum:
                                - custodial
                                - insured
                                - null
                              description: The type of deposit scheme.
                          required:
                            - certificate
                            - provider
                            - registration_deadline
                            - registration_number
                            - type
                          description: >-
                            Details of the deposit scheme the deposit is
                            registered with.
                        status:
                          type:
                            - string
                            - 'null'
                          enum:
                            - pending
                            - active
                            - disputed
                            - pending_return
                            - returned
                            - null
                          description: The status of the deposit.
                        transferred:
                          type: boolean
                          default: false
                          description: >-
                            Whether the deposit has been transferred to the
                            owner.
                        transferred_at:
                          type:
                            - number
                            - 'null'
                          description: >-
                            The time at which the deposit was transferred to the
                            owner.
                        unit:
                          type: string
                          description: The ID of the unit the deposit is associated with.
                      required:
                        - id
                        - created
                        - object
                        - amount
                        - application
                        - assignee
                        - certificate
                        - country
                        - currency
                        - customer
                        - description
                        - requirements
                        - returned_at
                        - scheme
                        - status
                        - transferred_at
                        - unit
                required:
                  - count
                  - has_more
                  - object
                  - data
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: API Key authentication. Use "Bearer YOUR_API_KEY".

````